changeset 362:c036f2b55576 noffle

[svn] cleanup
author godisch
date Sat, 29 Mar 2003 07:14:12 +0000
parents dec92f910289
children 014146ed83bf
files debian/config
diffstat 1 files changed, 16 insertions(+), 18 deletions(-) [+]
line wrap: on
line diff
--- a/debian/config	Sat Mar 29 07:12:43 2003 +0000
+++ b/debian/config	Sat Mar 29 07:14:12 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: config 500 2003-03-29 07:12:43Z godisch $
+# $Id: config 501 2003-03-29 07:14:12Z godisch $
 
 set -e
 . /usr/share/debconf/confmodule
@@ -90,44 +90,42 @@
 [ "$NOFFLE_FETCHMODE" = "$RET" ] || db_fset noffle/fetchmode seen false
 
 # input configuration using backup capability, see debconf-devel(8)
-state=2
-laststate=8
-while [ "$state" -gt 0 -a "$state" -le "$laststate" ]; do
+state=1
+laststate=7
+while [ "$state" -ge 0 -a "$state" -le "$laststate" ]; do
 	case "$state" in
+	0)
+		db_input high noffle/debconf || :
+		;;
 	1)
-		db_input high noffle/debconf || :
+		db_input low noffle/port || :
 		;;
 	2)
-		db_input low noffle/port || :
-		;;
-	3)
 		db_input high noffle/server || :
 		;;
-	4)
+	3)
 		db_input medium noffle/username || :
 		;;
-	5)
+	4)
 		db_get noffle/username
 		if [ "$RET" ]; then
 			db_input medium noffle/password || :
 		fi
 		;;
+	5)
+		db_input medium noffle/fetchmode || :
+		;;
 	6)
-		db_input medium noffle/fetchmode || :
+		db_input medium noffle/maxfetch || :
 		;;
 	7)
-		db_input medium noffle/maxfetch || :
-		;;
-	8)
 		db_input low noffle/default-expire || :
 		;;
 	esac
 	if db_go; then
-		if [ "$state" -eq 1 ]; then
+		if [ "$state" -eq 0 ]; then
 			db_get noffle/debconf
-			if [ "$RET" = false ]; then
-				break
-			fi
+			[ "$RET" = true ] || break
 		fi
 		state=$(($state + 1))
 	else